ea-apache24 (2.4.62-2+3.1.cpanel) stable; urgency=low

  * ZC-12009: Proxy FCGI nocanon from SetHandler

 -- Julian Brown <julian.brown@cpanel.net>  Fri, 26 Jul 2024 00:00:00 -0000

ea-apache24 (2.4.62-1) stable; urgency=low

  * EA-12288: Update ea-apache2 from v2.4.61 to v2.4.62
  * important: Apache HTTP Server: source code disclosure with handlers configured via AddType (CVE-2024-40725)
  * important: Apache HTTP Server: SSRF with mod_rewrite in server/vhost context on Windows (CVE-2024-40898)

 -- Cory McIntire <cory@cpanel.net>  Thu, 18 Jul 2024 00:00:00 -0000

ea-apache24 (2.4.61-1) stable; urgency=low

  * EA-12261: Update ea-apache2 from v2.4.59 to v2.4.61
  * important: Apache HTTP Server: source code disclosure with handlers configured via AddType (CVE-2024-39884)
  * low: Apache HTTP Server: DoS by Null pointer in websocket over HTTP/2 (CVE-2024-36387)
  * important: Apache HTTP Server on WIndows UNC SSRF (CVE-2024-38472)
  * moderate: Apache HTTP Server proxy encoding problem (CVE-2024-38473)
  * important: Apache HTTP Server weakness with encoded question marks in backreferences (CVE-2024-38474)
  * important: Apache HTTP Server weakness in mod_rewrite when first segment of substitution matches filesystem path. (CVE-2024-38475)
  * important: Apache HTTP Server may use exploitable/malicious backend application output to run local handlers via internal redirect (CVE-2024-38476)
  * important: Apache HTTP Server: Crash resulting in Denial of Service in mod_proxy via a malicious request (CVE-2024-38477)
  * moderate: Apache HTTP Server: mod_rewrite proxy handler substitution (CVE-2024-39573)

 -- Cory McIntire <cory@cpanel.net>  Wed, 03 Jul 2024 00:00:00 -0000

ea-apache24 (2.4.59-1) stable; urgency=low

  * EA-12070: Update ea-apache2 from v2.4.58 to v2.4.59
  * low: Apache HTTP Server: HTTP Response Splitting in multiple modules (CVE-2024-24795)
  * moderate: Apache HTTP Server: HTTP/2 DoS by memory exhaustion on endless continuation frames (CVE-2024-27316)
  * moderate: Apache HTTP Server: HTTP response splitting (CVE-2023-38709)

 -- Cory McIntire <cory@cpanel.net>  Fri, 05 Apr 2024 00:00:00 -0000

ea-apache24 (2.4.58-3) stable; urgency=low

  * EA-11820: Patch to build with the latest ea-libxml2

 -- Tim Mullin <tim@cpanel.net>  Tue, 21 Nov 2023 00:00:00 -0000

ea-apache24 (2.4.58-2) stable; urgency=low

  * EK-21: Remove unused EA3-era localhost cert generation

 -- Chris Dillon <chris.dillon@cpanel.net>  Mon, 23 Oct 2023 00:00:00 -0000

ea-apache24 (2.4.58-1) stable; urgency=low

  * EA-11758: Update ea-apache2 from v2.4.57 to v2.4.58
  * CVE-2023-31122: mod_macro buffer over-read
  * CVE-2023-43622: Apache HTTP Server: DoS in HTTP/2 with initial windows size 0
  * CVE-2023-45802: Apache HTTP Server: HTTP/2 stream memory not reclaimed right away on RST

 -- Cory McIntire <cory@cpanel.net>  Thu, 19 Oct 2023 00:00:00 -0000

ea-apache24 (2.4.57-4) stable; urgency=low

  * EA-11729: Rebuild against Updated ea-nghttp2 for CVE-2023-44487

 -- Cory McIntire <cory@cpanel.net>  Wed, 11 Oct 2023 00:00:00 -0000

ea-apache24 (2.4.57-3) stable; urgency=low

  * EA-11526: Patch mod_http2 to fix issues with excessive CPU usage

 -- Tim Mullin <tim@cpanel.net>  Thu, 29 Jun 2023 00:00:00 -0000

ea-apache24 (2.4.57-2) stable; urgency=low

  * EA-11296: Fix posttrans scriptlet failures on RHEL8+

 -- Tim Mullin <tim@cpanel.net>  Fri, 21 Apr 2023 00:00:00 -0000

ea-apache24 (2.4.57-1) stable; urgency=low

  * EA-11337: Update ea-apache2 from v2.4.56 to v2.4.57

 -- Cory McIntire <cory@cpanel.net>  Fri, 07 Apr 2023 00:00:00 -0000

ea-apache24 (2.4.56-1) stable; urgency=low

  * EA-11284: Update ea-apache2 from v2.4.55 to v2.4.56
  * CVE-2023-27522: Apache HTTP Server: mod_proxy_uwsgi HTTP response splitting
  * CVE-2023-25690: HTTP request splitting with mod_rewrite and mod_proxy

 -- Tim Mullin <tim@cpanel.net>  Tue, 07 Mar 2023 00:00:00 -0000

ea-apache24 (2.4.55-2) stable; urgency=low

  * EA-11167: Patch to fix sporadic 500 errors with 2.4.55

 -- Tim Mullin <tim@cpanel.net>  Thu, 19 Jan 2023 00:00:00 -0000

ea-apache24 (2.4.55-1) stable; urgency=low

  * EA-11157: Update ea-apache2 from v2.4.54 to v2.4.55
  * CVE-2022-37436: Apache HTTP Server: mod_proxy prior to 2.4.55 allows a backend to trigger HTTP response splitting
  * CVE-2022-36760: Apache HTTP Server: mod_proxy_ajp Possible request smuggling
  * CVE-2006-20001: Apache HTTP Server: mod_dav out of  bounds read, or write of zero byte

 -- Cory McIntire <cory@cpanel.net>  Tue, 17 Jan 2023 00:00:00 -0000

ea-apache24 (2.4.54-2) stable; urgency=low

  * EA-10825: Fix file ownership for ea-apache24-mod_socache_redis

 -- Tim Mullin <tim@cpanel.net>  Tue, 26 Jul 2022 00:00:00 -0000

ea-apache24 (2.4.54-1) stable; urgency=low

  * EA-10756: Update ea-apache2 from v2.4.53 to v2.4.54
  CVE-2022-26377: mod_proxy_ajp: Possible request smuggling
  CVE-2022-28330: Read beyond bounds in mod_isapi
  CVE-2022-28614: Read beyond bounds via ap_rwrite()
  CVE-2022-28615: Read beyond bounds in ap_strcmp_match()
  CVE-2022-29404: Denial of service in mod_lua r:parsebody
  CVE-2022-30522: mod_sed: Denial of service
  CVE-2022-30556: Information Disclosure in mod_lua with websockets
  CVE-2022-31813: mod_proxy X-Forwarded-For dropped by hop-by-hop mechanism

 -- Tim Mullin <tim@cpanel.net>  Wed, 08 Jun 2022 00:00:00 -0000

ea-apache24 (2.4.53-2) stable; urgency=low

  * EA-10538: Fix compiler warnings in suexec.c

 -- Tim Mullin <tim@cpanel.net>  Mon, 18 Apr 2022 00:00:00 -0000

ea-apache24 (2.4.53-1) stable; urgency=low

  * EA-10550: Update ea-apache2 from v2.4.52 to v2.4.53

 -- Tim Mullin <tim@cpanel.net>  Mon, 14 Mar 2022 00:00:00 -0000

ea-apache24 (2.4.52-3) stable; urgency=low

  * EA-10245: Add patch to change log level of accept mutex

 -- Travis Holloway <t.holloway@cpanel.net>  Wed, 26 Jan 2022 00:00:00 -0000

ea-apache24 (2.4.52-2) stable; urgency=low

  * EA-10391: Add patch to fix instability issues with Apache v2.4.52

 -- Tim Mullin <tim@cpanel.net>  Wed, 29 Dec 2021 00:00:00 -0000

ea-apache24 (2.4.52-1) stable; urgency=low

  * EA-10370: Update ea-apache2 from v2.4.51 to v2.4.52

 -- Travis Holloway <t.holloway@cpanel.net>  Mon, 20 Dec 2021 00:00:00 -0000

ea-apache24 (2.4.51-2) stable; urgency=low

  * EA-10258: Patch mod_http2 to fix issue with hanging http2 threads

 -- Tim Mullin <tim@cpanel.net>  Tue, 23 Nov 2021 00:00:00 -0000

ea-apache24 (2.4.51-1) stable; urgency=low

  * EA-10179: Update ea-apache2 from v2.4.50 to v2.4.51

 -- Cory McIntire <cory@cpanel.net>  Thu, 07 Oct 2021 00:00:00 -0000

ea-apache24 (2.4.50-1) stable; urgency=low

  * EA-10157: Update ea-apache2 from v2.4.49 to v2.4.50

 -- Cory McIntire <cory@cpanel.net>  Mon, 04 Oct 2021 00:00:00 -0000

ea-apache24 (2.4.49-4) stable; urgency=low

  * ZC-9300: ensure only one package owns http2.conf

 -- Daniel Muey <dan@cpanel.net>  Tue, 28 Sep 2021 00:00:00 -0000

ea-apache24 (2.4.49-3) stable; urgency=low

  * EA-10152: Patch from upstream

 -- Cory McIntire <cory@cpanel.net>  Tue, 28 Sep 2021 00:00:00 -0000

ea-apache24 (2.4.49-2) stable; urgency=low

  * EA-10123: Patch apache 2.4.49: Correctly decrement active_daemons also in the case that the child process decides on its own to die because of MaxRequestsPerChild.

 -- Travis Holloway <t.holloway@cpanel.net>  Thu, 23 Sep 2021 00:00:00 -0000

ea-apache24 (2.4.49-1) stable; urgency=low

  * EA-10107: Update ea-apache2 from v2.4.48 to v2.4.49

 -- Cory McIntire <cory@cpanel.net>  Thu, 16 Sep 2021 00:00:00 -0000

ea-apache24 (2.4.48-5) stable; urgency=low

  * EA-10041: Fix instructions in elinks patch

 -- Travis Holloway <t.holloway@cpanel.net>  Thu, 12 Aug 2021 00:00:00 -0000

ea-apache24 (2.4.48-4) stable; urgency=low

  * ZC-9091: Manage the `httpd` service via scripts shared w/ debs

 -- Daniel Muey <dan@cpanel.net>  Mon, 26 Jul 2021 00:00:00 -0000

ea-apache24 (2.4.48-3) stable; urgency=low

  * EA-9895: Ensure httpd is configured to start after reboot on chkconfig systems

 -- Travis Holloway <t.holloway@cpanel.net>  Tue, 22 Jun 2021 00:00:00 -0000

ea-apache24 (2.4.48-2) stable; urgency=low

  * EA-9822: rollback systemd change

 -- Cory McIntire <cory@cpanel.net>  Wed, 02 Jun 2021 00:00:00 -0000

ea-apache24 (2.4.48-1) stable; urgency=low

  * EA-9797: Update ea-apache2 from v2.4.46 to v2.4.48

 -- Cory McIntire <cory@cpanel.net>  Wed, 26 May 2021 00:00:00 -0000

ea-apache24 (2.4.46-7) stable; urgency=low

  * EA-9784: Change Apache to be a systemd notify service

 -- Tim Mullin <tim@cpanel.net>  Tue, 25 May 2021 00:00:00 -0000

ea-apache24 (2.4.46-6) stable; urgency=low

  * EA-9463: Revert Apache startup changes.

 -- Cory McIntire <cory@cpanel.net>  Wed, 03 Feb 2021 00:00:00 -0000

ea-apache24 (2.4.46-5) stable; urgency=low

  * EA-9463: Resolve Apache startup race conditions
  Enable mod_systemd for further startup enhancements

 -- Cory McIntire <cory@cpanel.net>  Fri, 29 Jan 2021 00:00:00 -0000

ea-apache24 (2.4.46-4) stable; urgency=low

  * EA-9506: Do not start htcacheclean service if mod_cache_disk module is not loaded

 -- Tim Mullin <tim@cpanel.net>  Mon, 04 Jan 2021 00:00:00 -0000

ea-apache24 (2.4.46-3) stable; urgency=low

  * ZC-8005: Replace ea-openssl11 with system openssl on C8

 -- Julian Brown <julian.brown@cpanel.net>  Tue, 24 Nov 2020 00:00:00 -0000

ea-apache24 (2.4.46-2) stable; urgency=low

  * EA-9374: Lower TimeoutStopSec for httpd.service

 -- Hans Borresen <h.borresen@cpanel.net>  Thu, 15 Oct 2020 00:00:00 -0000

ea-apache24 (2.4.46-1) stable; urgency=low

  * EA-9225: Update ea-apache2 from v2.4.43 to v2.4.46

 -- Tim Mullin <tim@cpanel.net>  Fri, 07 Aug 2020 00:00:00 -0000

ea-apache24 (2.4.43-6) stable; urgency=low

  * ZC-6822: Build on CentOS 8

 -- Julian Brown <julian.brown@cpanel.net>  Mon, 18 May 2020 00:00:00 -0000

ea-apache24 (2.4.43-5) stable; urgency=low

  * EA-8809: Ensure that MAX_FD_LIMIT is not exceeded

 -- Tim Mullin <tim@cpanel.net>  Thu, 30 Apr 2020 00:00:00 -0000

ea-apache24 (2.4.43-4) stable; urgency=low

  * EA-9047: Remove proc randoms that could not be found in POSTRANS
  * Switch to our ea-openssl11

 -- Cory McIntire <cory@cpanel.net>  Wed, 29 Apr 2020 00:00:00 -0000

ea-apache24 (2.4.43-3) stable; urgency=low

  * EA-9042: Do not install init.d/httpd files on C7 and above

 -- Cory McIntire <cory@cpanel.net>  Tue, 28 Apr 2020 00:00:00 -0000

ea-apache24 (2.4.43-2) stable; urgency=low

  * EA-9010: Patch apache 2.4.43 to fix ssl stapling memory leak

 -- Tim Mullin <tim@cpanel.net>  Thu, 16 Apr 2020 00:00:00 -0000

ea-apache24 (2.4.43-1) stable; urgency=low

  * EA-8958: Update ea-apache2 from v2.4.41 to v2.4.43

 -- Tim Mullin <tim@cpanel.net>  Wed, 01 Apr 2020 00:00:00 -0000

ea-apache24 (2.4.41-9) stable; urgency=low

  * A-8786: Patch apxs to use the correct value for top_builddir

 -- Tim Mullin <tim@cpanel.net>  Thu, 19 Mar 2020 00:00:00 -0000

ea-apache24 (2.4.41-8) stable; urgency=low

  * EA-8927: Patch apache 2.4.x httpd for OCSP stapling bug

 -- Tim Mullin <tim@cpanel.net>  Wed, 18 Mar 2020 00:00:00 -0000

ea-apache24 (2.4.41-7) stable; urgency=low

  * EA-8876: Made ea-apache24 require ea-apache24-mod_headers

 -- Tim Mullin <tim@cpanel.net>  Mon, 16 Mar 2020 00:00:00 -0000

ea-apache24 (2.4.41-6) stable; urgency=low

  * COBRA-10700: Optimizing finding modules

 -- J. Nick Koston <nick@cpanel.net>  Tue, 14 Jan 2020 00:00:00 -0000

ea-apache24 (2.4.41-5) stable; urgency=low

  * ZC-4361: bump release prefix past 4 so these will be newest (4 was added and disappeared due to a faulty revert)

 -- Daniel Muey <dan@cpanel.net>  Mon, 23 Dec 2019 00:00:00 -0000

ea-apache24 (2.4.41-3) stable; urgency=low

  * ZC-4361: Update ea-openssl requirement to v1.1.1 (ZC-5583)

 -- Daniel Muey <dan@cpanel.net>  Wed, 18 Dec 2019 00:00:00 -0000

ea-apache24 (2.4.41-2) stable; urgency=low

  * COBRA-10665: Optimizing finding directives when parsing the configuration

 -- J. Nick Koston <nick@cpanel.net>  Thu, 12 Dec 2019 00:00:00 -0000

ea-apache24 (2.4.41-1) stable; urgency=low

  * EA-8612: Update ea-apache2 from v2.4.39 to v2.4.41

 -- Cory McIntire <cory@cpanel.net>  Wed, 14 Aug 2019 00:00:00 -0000

ea-apache24 (2.4.39-6) stable; urgency=low

  * EA-8588: Added default RequestReadTimeout for mod_reqtimeout

 -- Tim Mullin <tim@cpanel.net>  Thu, 08 Aug 2019 00:00:00 -0000

ea-apache24 (2.4.39-5) stable; urgency=low

  * EA-8533: Set Apache to depend on ea-apr >= 1.7.0-1

 -- Tim Mullin <tim@cpanel.net>  Wed, 19 Jun 2019 00:00:00 -0000

ea-apache24 (2.4.39-4) stable; urgency=low

  * EA-8508: Appended "Mutex sysvsem" to 000_mod_mpm_prefork.conf

 -- Tim Mullin <tim@cpanel.net>  Thu, 30 May 2019 00:00:00 -0000

ea-apache24 (2.4.39-3) stable; urgency=low

  * CPANEL-27056: Fix bug in condition that allowed for non-user files
  to be served in certain situations when SymlinkProtection was
  enabled.

 -- Rishwanth Yeddula <rish@cpanel.net>  Fri, 26 Apr 2019 00:00:00 -0000

ea-apache24 (2.4.39-2) stable; urgency=low

  * CPANEL-22257: Ensure that Paths configured as Aliases are exempt
  from symlink protection checks

 -- Rishwanth Yeddula <rish@cpanel.net>  Wed, 03 Apr 2019 00:00:00 -0000

ea-apache24 (2.4.39-1) stable; urgency=low

  * EA-8307: Update to 2.4.39, drop 2.4.38
  CVE-2019-0211: Apache HTTP Server privilege escalation from modules' scripts
  CVE-2019-0196: mod_http2, read-after-free on a string compare
  CVE-2019-0197: mod_http2, possible crash on late upgrade
  CVE-2019-0215: mod_ssl access control bypass
  CVE-2019-0217: mod_auth_digest access control bypass
  CVE-2019-0220: URL normalization inconsistincies

 -- Cory McIntire <cory@cpanel.net>  Tue, 02 Apr 2019 00:00:00 -0000

ea-apache24 (2.4.38-3) stable; urgency=low

  * EA-8279: Take out noreplace from old EA3 init script so it will be removed
  now that EA3 is EOL

 -- Cory McIntire <cory@cpanel.net>  Thu, 07 Mar 2019 00:00:00 -0000

ea-apache24 (2.4.38-2) stable; urgency=low

  * EA-7318: Increase service timeout to handle a large httpd.conf

 -- Tim Mullin <tim@cpanel.net>  Tue, 26 Feb 2019 00:00:00 -0000

ea-apache24 (2.4.38-1) stable; urgency=low

  * EA-8165: Apache Update: Drop 2.4.37, update to 2.4.38

 -- Cory McIntire <cory@cpanel.net>  Thu, 24 Jan 2019 00:00:00 -0000

ea-apache24 (2.4.37-2) stable; urgency=low

  * EA-7518: Add systemd directives to ensure network is up before starting

 -- Cory McIntire <cory@cpanel.net>  Tue, 15 Jan 2019 00:00:00 -0000

ea-apache24 (2.4.37-1) stable; urgency=low

  * EA-7941: Update to v2.4.37, drop v2.4.35

 -- Cory McIntire <cory@cpanel.net>  Tue, 23 Oct 2018 00:00:00 -0000

ea-apache24 (2.4.35-1) stable; urgency=low

  * EA-7871: Update to v2.4.35, drop v2.4.34
  Remove Patch500: 0017-Apply-mod_ratelimit-fix-from-trunk.patch as it
  was implemented upstream.

 -- Cory McIntire <cory@cpanel.net>  Fri, 28 Sep 2018 00:00:00 -0000

ea-apache24 (2.4.34-3) stable; urgency=low

  * EA-7802: Restore mod_ratelimit back to the 2.3.34 version. Apply
  upstream fixes for it from trunk.

 -- Rishwanth Yeddula <rish@cpanel.net>  Fri, 24 Aug 2018 00:00:00 -0000

ea-apache24 (2.4.34-2) stable; urgency=low

  * EA-7715: Revert mod_ratelimit back to the 2.3.33 version.
  This is to ensure that it emits proper chunks, as there are several
  issues with the 2.3.34 version.

 -- Rishwanth Yeddula <rish@cpanel.net>  Thu, 19 Jul 2018 00:00:00 -0000

ea-apache24 (2.4.34-1) stable; urgency=low

  * EA-7683 Update httpd-2.4.33 to httpd-2.4.34
  Redid patches to be a git format-patch set

 -- Cory McIntire <cory@cpanel.net>  Thu, 12 Jul 2018 00:00:00 -0000

ea-apache24 (2.4.33-8) stable; urgency=low

  * EA-5971: Ensure that htcacheclean service is functional on
  Centos 7 systems

 -- Rishwanth Yeddula <rish@cpanel.net>  Tue, 19 Jun 2018 00:00:00 -0000

ea-apache24 (2.4.33-7) stable; urgency=low

  * EA-7487: Add ExecReload to httpd.service file

 -- Cory McIntire <cory@cpanel.net>  Thu, 31 May 2018 00:00:00 -0000

ea-apache24 (2.4.33-6) stable; urgency=low

  * EA-7468: Ensure dependency resolution picks /usr/bin/perl instead
  of /bin/perl. This helps downstream users of our RPMs as their
  build environments can be simplified.

 -- Rishwanth Yeddula <rish@cpanel.net>  Tue, 29 May 2018 00:00:00 -0000

ea-apache24 (2.4.33-5) stable; urgency=low

  * EA-7382: Update dependency on ea-openssl to require the latest version with versioned symbols.

 -- Rishwanth Yeddula <rish@cpanel.net>  Mon, 16 Apr 2018 00:00:00 -0000

ea-apache24 (2.4.33-4) stable; urgency=low

  * EA-7376: Ensure that mod_http2 is properly linked against ea-openssl.

 -- Rishwanth Yeddula <rish@cpanel.net>  Wed, 04 Apr 2018 00:00:00 -0000

ea-apache24 (2.4.33-3) stable; urgency=low

  * EA-7367: Ensure that the tools are properly linked against ea-openssl.

 -- Rishwanth Yeddula <rish@cpanel.net>  Tue, 03 Apr 2018 00:00:00 -0000

ea-apache24 (2.4.33-2) stable; urgency=low

  * EA-7366: Ensure that apr-util is properly listed as a dependency.

 -- Rishwanth Yeddula <rish@cpanel.net>  Tue, 03 Apr 2018 00:00:00 -0000

ea-apache24 (2.4.33-1) stable; urgency=low

  * EA-7327: Update to v2.4.33, drop v2.4.29

 -- Daniel Muey <dan@cpanel.net>  Thu, 29 Mar 2018 00:00:00 -0000

ea-apache24 (2.4.29-12) stable; urgency=low

  * EA-7339: Build against the latest apr/apr-util

 -- Rishwanth Yeddula <rish@cpanel.net>  Tue, 27 Mar 2018 00:00:00 -0000

ea-apache24 (2.4.29-11) stable; urgency=low

  * EA-7164: Build mod_brotli against the ea-brotli package.

 -- Rishwanth Yeddula <rish@cpanel.net>  Mon, 19 Mar 2018 00:00:00 -0000

ea-apache24 (2.4.29-10) stable; urgency=low

  * ZC-3401: ensure building against and using ea-openssl

 -- Cory McIntire <cory@cpanel.net>  Tue, 06 Mar 2018 00:00:00 -0000

ea-apache24 (2.4.29-9) stable; urgency=low

  * EA-7238: use documented and ea3 parity safe suexec_log path

 -- Dan Muey <dan@cpanel.net>  Wed, 14 Feb 2018 00:00:00 -0000

ea-apache24 (2.4.29-8) stable; urgency=low

  * EA-7217: Make sure we use ea-nghttp2

 -- Dan Muey <dan@cpanel.net>  Mon, 05 Feb 2018 00:00:00 -0000

ea-apache24 (2.4.29-7) stable; urgency=low

  * EA-7159: Use 'elinks' instead of 'links' as a dependency
  to ensure that EA4 does not pull any packages from
  the EPEL repos.

 -- Rishwanth Yeddula <rish@cpanel.net>  Wed, 24 Jan 2018 00:00:00 -0000

ea-apache24 (2.4.29-6) stable; urgency=low

  * EA-7125: Remove previous piped logging patch

 -- Cory McIntire <cory@cpanel.net>  Mon, 15 Jan 2018 00:00:00 -0000

ea-apache24 (2.4.29-5) stable; urgency=low

  * EA-7127: Ensure the mod_proxy_html and mod_xml2enc modules
  build against ea-libxml2. Additionally, updated the build
  process to avoid modifying the LDFLAGS - as it caused the
  libxml2 dependency to be carried to extensions compiled
  separately.

 -- Rishwanth Yeddula <rish@cpanel.net>  Mon, 15 Jan 2018 00:00:00 -0000

ea-apache24 (2.4.29-4) stable; urgency=low

  * EA-7060: Supress Long Lost Pids warning
  * patch provided by Gary Stanley <gary@cpanel.net>

 -- Cory McIntire <cory@cpanel.net>  Fri, 12 Jan 2018 00:00:00 -0000

ea-apache24 (2.4.29-3) stable; urgency=low

  * EA-7044: Adjust Apache to use ea-libxml2

 -- Cory McIntire <cory@cpanel.net>  Wed, 27 Dec 2017 00:00:00 -0000

ea-apache24 (2.4.29-2) stable; urgency=low

  * EA-6020: Restarting Apache while using splitlogs can result in "Broken pipe" errors
  * Applying patch provided by Gary Stanley (gary@cpanel.net)

 -- Cory McIntire <cory@cpanel.net>  Sun, 24 Dec 2017 00:00:00 -0000

ea-apache24 (2.4.29-1) stable; urgency=low

  * Updated to version 2.4.29 via update_pkg.pl (ZC-2981)
  * Removed mod_unique_id patch as it was patched upstream.

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Wed, 18 Oct 2017 00:00:00 -0000

ea-apache24 (2.4.28-1) stable; urgency=low

  * Update Apache to 2.4.28

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Tue, 10 Oct 2017 00:00:00 -0000

ea-apache24 (2.4.27-8) stable; urgency=low

  * Patch core for htaccess method registrations - CVE-2017-9798

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Tue, 19 Sep 2017 00:00:00 -0000

ea-apache24 (2.4.27-7) stable; urgency=low

  * EA-6096: Add note to mod_unique_id summary about performance degradation

 -- Dan Muey <dan@cpanel.net>  Mon, 11 Sep 2017 00:00:00 -0000

ea-apache24 (2.4.27-6) stable; urgency=low

  * EA-6274 Allow users to override hard coded ulimit() by using /etc/sysconfig/httpd

 -- Dan Muey <dan@cpanel.net>  Mon, 28 Aug 2017 00:00:00 -0000

ea-apache24 (2.4.27-5) stable; urgency=low

  * Patched H2 for stalling when writing > 32k

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Thu, 10 Aug 2017 00:00:00 -0000

ea-apache24 (2.4.27-4) stable; urgency=low

  * Require mod_proxy_wstunnel for ea-apache24.

 -- Felipe Gasper <felipe@cpanel.net>  Thu, 10 Aug 2017 00:00:00 -0000

ea-apache24 (2.4.27-3) stable; urgency=low

  * Add conflicts between prefork and HTTP2

 -- Cory McIntire <cory@cpanel.net>  Wed, 02 Aug 2017 00:00:00 -0000

ea-apache24 (2.4.27-2) stable; urgency=low

  * Apply fix for https://bz.apache.org/bugzilla/show_bug.cgi?id=61283

 -- Felipe Gasper <felipe@cpanel.net>  Fri, 14 Jul 2017 00:00:00 -0000

ea-apache24 (2.4.27-1) stable; urgency=low

  * Updated to version 2.4.27 via update_pkg.pl (EA-6522)

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Fri, 07 Jul 2017 00:00:00 -0000

ea-apache24 (2.4.25-12) stable; urgency=low

  * Replace __isa w/ifarch

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Tue, 27 Jun 2017 00:00:00 -0000

ea-apache24 (2.4.25-11) stable; urgency=low

  * Disable HTTP2 building on 32bit architectures

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Fri, 23 Jun 2017 00:00:00 -0000

ea-apache24 (2.4.25-10) stable; urgency=low

  * Add HTTP2 Support

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Fri, 09 Jun 2017 00:00:00 -0000

ea-apache24 (2.4.25-9) stable; urgency=low

  * Add patch for segfaulting graceful restarts

 -- Cory McIntire <cory@cpanel.net>  Fri, 24 Mar 2017 00:00:00 -0000

ea-apache24 (2.4.25-8) stable; urgency=low

  * ZC-2483: Add ExecStop to systemd config

 -- Dan Muey <dan@cpanel.net>  Thu, 16 Mar 2017 00:00:00 -0000

ea-apache24 (2.4.25-7) stable; urgency=low

  * Added requirement for links for apachectl-status

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Mon, 13 Mar 2017 00:00:00 -0000

ea-apache24 (2.4.25-6) stable; urgency=low

  * Add patch for higher seed chunks

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Wed, 22 Feb 2017 00:00:00 -0000

ea-apache24 (2.4.25-5) stable; urgency=low

  * EA-5514: update htcacheclean CACHE_ROOT to match reality

 -- Dan Muey <dan@cpanel.net>  Fri, 10 Feb 2017 00:00:00 -0000

ea-apache24 (2.4.25-4) stable; urgency=low

  * EA-5845: Increase the maximum number of file descriptors for init.d systems

 -- Dan Muey <dan@cpanel.net>  Wed, 11 Jan 2017 00:00:00 -0000

ea-apache24 (2.4.25-3) stable; urgency=low

  * EA-5836: mod_proxy_hcheck w/ prefork segfaults frequently

 -- Dan Muey <dan@cpanel.net>  Wed, 04 Jan 2017 00:00:00 -0000

ea-apache24 (2.4.25-2) stable; urgency=low

  EA-5836: Have httpd.service use /run instead of /var/run

 -- Dan Muey <dan@cpanel.net>  Tue, 03 Jan 2017 00:00:00 -0000

ea-apache24 (2.4.25-1) stable; urgency=low

  * Updated to version 2.4.25, drop version 2.4.23

 -- Cory McIntire <cory@cpanel.net>  Wed, 21 Dec 2016 00:00:00 -0000

ea-apache24 (2.4.23-9) stable; urgency=low

  * EA-5557: turn off icon directives by default since the icons are broken under symlink protect
  *          and are used by HTMLTable even when fancy indexinf is off

 -- Dan Muey <dan@cpanel.net>  Tue, 13 Dec 2016 00:00:00 -0000

ea-apache24 (2.4.23-8) stable; urgency=low

  * EA-5557: turn off fancy indexing by default since the icons are broken under symlink protect

 -- Dan Muey <dan@cpanel.net>  Tue, 06 Dec 2016 00:00:00 -0000

ea-apache24 (2.4.23-7) stable; urgency=low

  * Update apachectl with ulimit calls modifying the open file
  descriptor limit so that Apache will start up (EA-5662)

 -- S. Kurt Newman <kurt.newman@cpanel.net>  Mon, 05 Dec 2016 00:00:00 -0000

ea-apache24 (2.4.23-6) stable; urgency=low

  * EA-5712: Patch apachectl to set PORT based on cpanel configuration

 -- Dan Muey <dan@cpanel.net>  Thu, 01 Dec 2016 00:00:00 -0000

ea-apache24 (2.4.23-5) stable; urgency=low

  * Add symlink protection root directive.

 -- Edwin Buck <e.buck@cpanel.net>  Mon, 24 Oct 2016 00:00:00 -0000

ea-apache24 (2.4.23-4) stable; urgency=low

  * Add symlink protection patch and configuration control.

 -- Edwin Buck <e.buck@cpanel.net>  Mon, 24 Oct 2016 00:00:00 -0000

ea-apache24 (2.4.23-3) stable; urgency=low

  * Fixed autoindex.conf suppression of /icons/ in subdomains.

 -- Edwin Buck <e.buck@cpanel.net>  Wed, 20 Jul 2016 00:00:00 -0000

ea-apache24 (2.4.23-2) stable; urgency=low

  * mod_lua can be installed, but is off by default (EA-4825)
  * fixed a few rpmlint warnings complaining about lack of attr macros

 -- S. Kurt Newman <kurt.newman@cpanel.net>  Wed, 20 Jul 2016 00:00:00 -0000

ea-apache24 (2.4.23-1) stable; urgency=low

  * EA-4872: Updated to verison 2.4.23
  * Added mod_proxy_hcheck (side effect of upstream 2.5 backport into 2.4.23)

 -- Edwin Buck <e.buck@cpanel.net>  Tue, 19 Jul 2016 00:00:00 -0000

ea-apache24 (2.4.20-6) stable; urgency=low

  * Apply recommendations in asf-httpoxy-repsponse.txt for CVE-2016-5387

 -- Edwin Buck <e.buck@cpanel.net>  Mon, 18 Jul 2016 00:00:00 -0000

ea-apache24 (2.4.20-5) stable; urgency=low

  * ZC-1937: Move mod_info into a separate child RPM

 -- Edwin Buck <e.buck@cpanel.net>  Thu, 30 Jun 2016 00:00:00 -0000

ea-apache24 (2.4.20-4) stable; urgency=low

  * EA-4383: Update Release value to OBS-proof versioning

 -- Dan Muey <dan@cpanel.net>  Mon, 20 Jun 2016 00:00:00 -0000

ea-apache24 (2.4.20-3) stable; urgency=low

  * Updated suexec minimum uid to match EA3

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Fri, 27 May 2016 00:00:00 -0000

ea-apache24 (2.4.20-2) stable; urgency=low

  * Remove cp-ssl.conf

 -- David Nielson <david.nielson@cpanel.net>  Tue, 26 Apr 2016 00:00:00 -0000

ea-apache24 (2.4.20-1) stable; urgency=low

  * Updated to version 2.4.20 via update_pkg.pl (EA-4446)

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Mon, 11 Apr 2016 00:00:00 -0000

ea-apache24 (2.4.18.5) stable; urgency=low

  * Create direct dependencies on mod_cgi/mod_cgid for the various MPMs.

 -- Matt Dees <matt@cpanel.net>  Mon, 21 Mar 2016 00:00:00 -0000

ea-apache24 (2.4.18.5) stable; urgency=low

  * Add PIDFile to httpd.service

 -- Matt Dees <matt@cpanel.net>  Thu, 10 Mar 2016 00:00:00 -0000

ea-apache24 (2.4.18-4) stable; urgency=low

  * Removed Apache Bug #58854 (ZC-1512)

 -- S. Kurt Newman <kurt.newman@cpanel.net>  Thu, 03 Mar 2016 00:00:00 -0000

ea-apache24 (2.4.18-3) stable; urgency=low

  * Remove conflict on 'webserver' and add conflict on 'httpd-mmn' so
  Nginx can be installed from EPEL.

 -- David Nielson <david.nielson@cpanel.net>  Tue, 01 Mar 2016 00:00:00 -0000

ea-apache24 (2.4.18-2) stable; urgency=low

  * Applied fix for Apache Bug #58854.  This patch should be removed
  once it has made into upstream.

 -- S. Kurt Newman <kurt.newman@cpanel.net>  Thu, 14 Jan 2016 00:00:00 -0000

ea-apache24 (2.4.18-1) stable; urgency=low

  * Updated to version 2.4.18 via update_pkg.pl

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Thu, 17 Dec 2015 00:00:00 -0000

ea-apache24 (2.4.16-9) stable; urgency=low

  * Add ea-apache24-mod_bwlimited as a requirement

 -- Dan Muey <dan@cpanel.net>  Wed, 16 Dec 2015 00:00:00 -0000

ea-apache24 (2.4.16-7) stable; urgency=low

  * Added explicit conflicts for mod_cgi/mod_cgid and the mpms
  they conflict with. HB-1153

 -- Darren Mobley <darren@cpanel.net>  Mon, 02 Nov 2015 00:00:00 -0000

ea-apache24 (2.4.16-6) stable; urgency=low

  * Stop installing userdir.conf since it is broken and the functionality is handled elsewhere

 -- Dan Muey <dan@cpanel.net>  Fri, 02 Oct 2015 00:00:00 -0000

ea-apache24 (2.4.16-5) stable; urgency=low

  * Added /etc/apache2/bin directory for apache-specific utility scripts
  * Added additional macros to /etc/rpm/macros.apache2 so other rpms
  can make use of those paths

 -- S. Kurt Newman <kurt.newman@cpanel.net>  Thu, 01 Oct 2015 00:00:00 -0000

ea-apache24 (2.4.16-4) stable; urgency=low

  * Added requirements for ea-cpanel-tools, scripting tools to work
  * with cPanel.

 -- Julian Brown <julian.brown@cpanel.net>  Mon, 31 Aug 2015 00:00:00 -0000

ea-apache24 (2.4.16-3) stable; urgency=low

  * Disabled IPv4 Mapping

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Fri, 28 Aug 2015 00:00:00 -0000

ea-apache24 (2.4.16-2) stable; urgency=low

  * Added requirements for ea-apache24-mod_proxy and mod_proxy_http
  * so we can support proxy subdomains

 -- Julian Brown <julian.brown@cpanel.net>  Fri, 28 Aug 2015 00:00:00 -0000

ea-apache24 (2.4.16-1) stable; urgency=low

  * Updated to version 2.4.16 via update_pkg.pl

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Wed, 26 Aug 2015 00:00:00 -0000

ea-apache24 (2.4.12-17) stable; urgency=low

  * Patched apxs so that it correctly handles the conf.modules.d arrangement

 -- Trinity Quirk <trinity.quirk@cpanel.net>  Mon, 24 Aug 2015 00:00:00 -0000

ea-apache24 (2.4.12-16) stable; urgency=low

  * Added ea-apache24-config and ea-apache24-config-runtime as
  requirements for ea-apache24

 -- Darren Mobley <darren@cpanel.net>  Mon, 10 Aug 2015 00:00:00 -0000

ea-apache24 (2.4.12-15) stable; urgency=low

  * Missing requirements for mod_session

 -- Trinity Quirk <trinity.quirk@cpanel.net>  Wed, 05 Aug 2015 00:00:00 -0000

ea-apache24 (= 2.4.12-14) stable; urgency=low

  * Add ea-apache24-tools as a require for ea-apache24

 -- Dan Muey <dan@cpanel.net>  Mon, 03 Aug 2015 00:00:00 -0000

ea-apache24 (2.4.12-13) stable; urgency=low

  * Add ea-documentroot as a require for ea-apache24

 -- Darren Mobley <darren@cpanel.net>  Sat, 01 Aug 2015 00:00:00 -0000

ea-apache24 (2.4.12-12) stable; urgency=low

  * Repair apxs craziness

 -- Trinity Quirk <trinity.quirk@cpanel.net>  Fri, 31 Jul 2015 00:00:00 -0000

ea-apache24 (2.4.12-11) stable; urgency=low

  * Reference new locations of apr and apr-util packages

 -- Trinity Quirk <trinity.quirk@cpanel.net>  Thu, 30 Jul 2015 00:00:00 -0000

ea-apache24 (2.4.12-10) stable; urgency=low

  * Fixed mpm conflicts
  * Removed itk conflict since apache shouldn't be concerned with that..
  only itk should be
  * Removed unused cloudlinux cagefs patch

 -- S. Kurt Newman <kurt.newman@cpanel.net>  Wed, 01 Jul 2015 00:00:00 -0000

ea-apache24 (2.4.12-9) stable; urgency=low

  * Added tmpfiles.d entry for c7

 -- Matt Dees <matt.dees@cpanel.net>  Thu, 11 Jun 2015 00:00:00 -0000

ea-apache24 (2.4.12-8.el6.cpanel.1) stable; urgency=low

  * Added includes handler for .shtml files in cperror.conf

 -- Darren Mobley <darren@cpanel.net>  Sat, 06 Jun 2015 00:00:00 -0000

ea-apache24 (2.4.12-7.el6.cpanel.1) stable; urgency=low

  * Added cperror.conf to handle error page configuration

 -- Darren Mobley <darren@cpanel.net>  Sat, 06 Jun 2015 00:00:00 -0000

ea-apache24 (2.4.12-6.el6.cpanel.1) stable; urgency=low

  * Changed name of rpms generated to ea-apache24.

 -- Julian Brown <julian.brown@cpanel.net>  Wed, 27 May 2015 00:00:00 -0000

ea-apache24 (2.4.12-5.el6.cpanel.1) stable; urgency=low

  * Added httpd.service file and installation for CentOS 7 machines

 -- Darren Mobley <darren@cpanel.net>  Tue, 28 Apr 2015 00:00:00 -0000

ea-apache24 (2.4.12-4.el6.cpanel.1) stable; urgency=low

  * Added mime.types back into ea-apache24

 -- Trinity Quirk <trinity.quirk@cpanel.net>  Mon, 30 Mar 2015 00:00:00 -0000

ea-apache24 (2.4.12-3.el6.cpanel.1) stable; urgency=low

  * Removed logrotate.d configuration to let WHM take care of this.

 -- S. Kurt Newman <kurt.newman@cpanel.net>  Fri, 27 Mar 2015 00:00:00 -0000

ea-apache24 (2.4.12-2.el6.cpanel.1) stable; urgency=low

  * Split many modules out into their own packages
  * Set dependencies between packages where needed

 -- Trinity Quirk <trinity.quirk@cpanel.net>  Wed, 11 Mar 2015 00:00:00 -0000

ea-apache24 (2.4.12-1.el6.cpanel.1) stable; urgency=low

  * Upgrade to 2.4.12
  * Remove inappropriate or already-applied patches

 -- Trinity Quirk <trinity.quirk@cpanel.net>  Fri, 27 Feb 2015 00:00:00 -0000

ea-apache24 (2.4.6-21.el6.cpanel.1) stable; urgency=low

  * Split the MPMs into their own packages
  * mod_heartbeat needs to be loaded after mod_status and mod_watchdog

 -- Trinity Quirk <trinity.quirk@cpanel.net>  Thu, 26 Feb 2015 00:00:00 -0000

ea-apache24 (2.4.6-20.el6.cpanel.1) stable; urgency=low

  * Each module now has its own conf.modules.d file
  * conf.modules.d files are created programmatically
  * Simplified ssl, proxy_html, ldap, and session package file lists

 -- Trinity Quirk <trinity.quirk@cpanel.net>  Wed, 25 Feb 2015 00:00:00 -0000

ea-apache24 (2.4.6-17.el6.cpanel.1) stable; urgency=low

  * Added cPanel-specific patches
  * Removed apache user creation, configured to run as nobody
  * Repaired incorrect run directories

 -- Trinity Quirk <trinity.quirk@cpanel.net>  Thu, 29 Jan 2015 00:00:00 -0000

ea-apache24 (2.4.6-17.el6.centos.1) stable; urgency=low

  * Converted from CentOS 7, to CentOS 6

 -- Kurt Newman <kurt.newman@cpanel.net>  Tue, 30 Dec 2014 00:00:00 -0000

ea-apache24 (2.4.6-17.el7.centos.1) stable; urgency=low

  * Remove index.html, add centos-noindex.tar.gz
  * update welcome.conf with proper aliases
  * change symlink for poweredby.png

 -- Jim Perrin <jperrin@centos.org>  Tue, 17 Jun 2014 00:00:00 -0000

ea-apache24 (2.4.6-17) stable; urgency=low

  * mod_dav: add security fix for CVE-2013-6438 (#1077907)
  * mod_log_config: add security fix for CVE-2014-0098 (#1077907)

 -- Jan Kaluza <jkaluza@redhat.com>  Thu, 20 Mar 2014 00:00:00 -0000

ea-apache24 (2.4.6-16) stable; urgency=low

  * mod_ssl: improve DH temp key handling (#1057687)

 -- Joe Orton <jorton@redhat.com>  Wed, 05 Mar 2014 00:00:00 -0000

ea-apache24 (2.4.6-15) stable; urgency=low

  * mod_ssl: use 2048-bit RSA key with SHA-256 signature in dummy certificate (#1071276)

 -- Joe Orton <jorton@redhat.com>  Wed, 05 Mar 2014 00:00:00 -0000

ea-apache24 (2.4.6-14) stable; urgency=low

  * Mass rebuild 2014-01-24

 -- Daniel Mach <dmach@redhat.com>  Fri, 24 Jan 2014 00:00:00 -0000

ea-apache24 (2.4.6-13) stable; urgency=low

  * mod_ssl: sanity-check use of "SSLCompression" (#1036666)
  * mod_proxy_http: fix brigade memory usage (#1040447)

 -- Joe Orton <jorton@redhat.com>  Mon, 13 Jan 2014 00:00:00 -0000

ea-apache24 (2.4.6-12) stable; urgency=low

  * rebuild

 -- Joe Orton <jorton@redhat.com>  Fri, 10 Jan 2014 00:00:00 -0000

ea-apache24 (2.4.6-11) stable; urgency=low

  * build with -O3 on ppc64 (#1051066)

 -- Joe Orton <jorton@redhat.com>  Thu, 09 Jan 2014 00:00:00 -0000

ea-apache24 (2.4.6-10) stable; urgency=low

  * mod_dav: fix locktoken handling (#1004046)

 -- Joe Orton <jorton@redhat.com>  Tue, 07 Jan 2014 00:00:00 -0000

ea-apache24 (2.4.6-9) stable; urgency=low

  * Mass rebuild 2013-12-27

 -- Daniel Mach <dmach@redhat.com>  Fri, 27 Dec 2013 00:00:00 -0000

ea-apache24 (2.4.6-8) stable; urgency=low

  * use unambiguous httpd-mmn (#1029360)

 -- Joe Orton <jorton@redhat.com>  Fri, 20 Dec 2013 00:00:00 -0000

ea-apache24 (2.4.6-5) stable; urgency=low

  * systemd: send SIGWINCH signal without httpd -k in ExecStop (#969972)

 -- Jan Kaluza <jkaluza@redhat.com>  Thu, 24 Oct 2013 00:00:00 -0000

ea-apache24 (2.4.6-4) stable; urgency=low

  * expand macros in macros.httpd (#1011393)

 -- Jan Kaluza <jkaluza@redhat.com>  Thu, 03 Oct 2013 00:00:00 -0000

ea-apache24 (2.4.6-3) stable; urgency=low

  * fix "LDAPReferrals off" to really disable LDAP Referrals

 -- Jan Kaluza <jkaluza@redhat.com>  Mon, 26 Aug 2013 00:00:00 -0000

ea-apache24 (2.4.6-2) stable; urgency=low

  * revert fix for dumping vhosts twice

 -- Jan Kaluza <jkaluza@redhat.com>  Wed, 31 Jul 2013 00:00:00 -0000

ea-apache24 (2.4.6-1) stable; urgency=low

  * update to 2.4.6
  * mod_ssl: use revised NPN API (r1487772)

 -- Joe Orton <jorton@redhat.com>  Mon, 22 Jul 2013 00:00:00 -0000

ea-apache24 (2.4.4-12) stable; urgency=low

  * mod_unique_id: replace use of hostname + pid with PRNG output (#976666)
  * apxs: mention -p option in manpage

 -- Jan Kaluza <jkaluza@redhat.com>  Thu, 11 Jul 2013 00:00:00 -0000

ea-apache24 (2.4.4-11) stable; urgency=low

  * add patch for aarch64 (Dennis Gilmore, #925558)

 -- Joe Orton <jorton@redhat.com>  Tue, 02 Jul 2013 00:00:00 -0000

ea-apache24 (2.4.4-10) stable; urgency=low

  * remove duplicate apxs man page from httpd-tools

 -- Joe Orton <jorton@redhat.com>  Mon, 01 Jul 2013 00:00:00 -0000

ea-apache24 (2.4.4-9) stable; urgency=low

  * remove zombie dbmmanage script

 -- Joe Orton <jorton@redhat.com>  Mon, 17 Jun 2013 00:00:00 -0000

ea-apache24 (2.4.4-8) stable; urgency=low

  * return 400 Bad Request on malformed Host header

 -- Jan Kaluza <jkaluza@redhat.com>  Fri, 31 May 2013 00:00:00 -0000

ea-apache24 (2.4.4-6) stable; urgency=low

  * htpasswd/htdbm: fix hash generation bug (#956344)
  * do not dump vhosts twice in httpd -S output (#928761)
  * mod_cache: fix potential crash caused by uninitialized variable (#954109)

 -- Jan Kaluza <jkaluza@redhat.com>  Mon, 20 May 2013 00:00:00 -0000

ea-apache24 (2.4.4-5) stable; urgency=low

  * execute systemctl reload as result of apachectl graceful
  * mod_ssl: ignore SNI hints unless required by config
  * mod_cache: forward-port CacheMaxExpire "hard" option
  * mod_ssl: fall back on another module's proxy hook if mod_ssl proxy
  is not configured.

 -- Jan Kaluza <jkaluza@redhat.com>  Thu, 18 Apr 2013 00:00:00 -0000

ea-apache24 (2.4.4-4) stable; urgency=low

  * fix service file to not send SIGTERM after ExecStop (#906321, #912288)

 -- Jan Kaluza <jkaluza@redhat.com>  Tue, 16 Apr 2013 00:00:00 -0000

ea-apache24 (2.4.4-3) stable; urgency=low

  * protect MIMEMagicFile with IfModule (#893949)

 -- Jan Kaluza <jkaluza@redhat.com>  Tue, 26 Mar 2013 00:00:00 -0000

ea-apache24 (2.4.4-2) stable; urgency=low

  * really package mod_auth_form in mod_session (#915438)

 -- Joe Orton <jorton@redhat.com>  Tue, 26 Feb 2013 00:00:00 -0000

ea-apache24 (2.4.4-1) stable; urgency=low

  * update to 2.4.4
  * fix duplicate ownership of mod_session config (#914901)

 -- Joe Orton <jorton@redhat.com>  Tue, 26 Feb 2013 00:00:00 -0000

ea-apache24 (2.4.3-17) stable; urgency=low

  * add mod_session subpackage, move mod_auth_form there (#894500)

 -- Joe Orton <jorton@redhat.com>  Fri, 22 Feb 2013 00:00:00 -0000

ea-apache24 (2.4.3-16) stable; urgency=low

  * Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

 -- Fedora Release Engineering <rel-eng@lists.fedoraproject.org>  Thu, 14 Feb 2013 00:00:00 -0000

ea-apache24 (2.4.3-15) stable; urgency=low

  * add systemd service for htcacheclean

 -- Joe Orton <jorton@redhat.com>  Tue, 08 Jan 2013 00:00:00 -0000

ea-apache24 (2.4.3-14) stable; urgency=low

  * drop patch for r1344712

 -- Joe Orton <jorton@redhat.com>  Tue, 13 Nov 2012 00:00:00 -0000

ea-apache24 (2.4.3-13) stable; urgency=low

  * filter mod_*.so auto-provides (thanks to rcollet)
  * pull in syslog logging fix from upstream (r1344712)

 -- Joe Orton <jorton@redhat.com>  Tue, 13 Nov 2012 00:00:00 -0000

ea-apache24 (2.4.3-12) stable; urgency=low

  * rebuild to pick up new apr-util-ldap

 -- Joe Orton <jorton@redhat.com>  Fri, 26 Oct 2012 00:00:00 -0000

ea-apache24 (2.4.3-11) stable; urgency=low

  * rebuild

 -- Joe Orton <jorton@redhat.com>  Tue, 23 Oct 2012 00:00:00 -0000

ea-apache24 (2.4.3-10) stable; urgency=low

  * pull upstream patch r1392850 in addition to r1387633

 -- Joe Orton <jorton@redhat.com>  Wed, 03 Oct 2012 00:00:00 -0000

ea-apache24 (2.4.3-9.1) stable; urgency=low

  * restore "ServerTokens Full-Release" support (#811714)

 -- Joe Orton <jorton@redhat.com>  Mon, 01 Oct 2012 00:00:00 -0000

ea-apache24 (2.4.3-9) stable; urgency=low

  * define PLATFORM in os.h using vendor string

 -- Joe Orton <jorton@redhat.com>  Mon, 01 Oct 2012 00:00:00 -0000

ea-apache24 (2.4.3-8) stable; urgency=low

  * use systemd script unconditionally (#850149)

 -- Joe Orton <jorton@redhat.com>  Mon, 01 Oct 2012 00:00:00 -0000

ea-apache24 (2.4.3-7) stable; urgency=low

  * use systemd scriptlets if available (#850149)
  * don't run posttrans restart if /etc/sysconfig/httpd-disable-posttrans exists

 -- Joe Orton <jorton@redhat.com>  Mon, 01 Oct 2012 00:00:00 -0000

ea-apache24 (2.4.3-6) stable; urgency=low

  * use systemctl from apachectl (#842736)

 -- Jan Kaluza <jkaluza@redhat.com>  Mon, 01 Oct 2012 00:00:00 -0000

ea-apache24 (2.4.3-5) stable; urgency=low

  * fix some error log spam with graceful-stop (r1387633)
  * minor mod_systemd tweaks

 -- Joe Orton <jorton@redhat.com>  Wed, 19 Sep 2012 00:00:00 -0000

ea-apache24 (2.4.3-4) stable; urgency=low

  * use IncludeOptional for conf.d/*.conf inclusion

 -- Joe Orton <jorton@redhat.com>  Thu, 13 Sep 2012 00:00:00 -0000

ea-apache24 (2.4.3-3) stable; urgency=low

  * adding mod_systemd to integrate with systemd better

 -- Jan Kaluza <jkaluza@redhat.com>  Fri, 07 Sep 2012 00:00:00 -0000

ea-apache24 (2.4.3-2) stable; urgency=low

  * mod_ssl: add check for proxy keypair match (upstream r1374214)

 -- Joe Orton <jorton@redhat.com>  Tue, 21 Aug 2012 00:00:00 -0000

ea-apache24 (2.4.3-1) stable; urgency=low

  * update to 2.4.3 (#849883)
  * own the docroot (#848121)

 -- Joe Orton <jorton@redhat.com>  Tue, 21 Aug 2012 00:00:00 -0000

ea-apache24 (2.4.2-23) stable; urgency=low

  * add mod_proxy fixes from upstream (r1366693, r1365604)

 -- Joe Orton <jorton@redhat.com>  Mon, 06 Aug 2012 00:00:00 -0000

ea-apache24 (2.4.2-22) stable; urgency=low

  * Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

 -- Fedora Release Engineering <rel-eng@lists.fedoraproject.org>  Thu, 19 Jul 2012 00:00:00 -0000

ea-apache24 (2.4.2-21) stable; urgency=low

  * drop explicit version requirement on initscripts

 -- Joe Orton <jorton@redhat.com>  Fri, 06 Jul 2012 00:00:00 -0000

ea-apache24 (2.4.2-20) stable; urgency=low

  * mod_ext_filter: fix error_log warnings

 -- Joe Orton <jorton@redhat.com>  Thu, 05 Jul 2012 00:00:00 -0000

ea-apache24 (2.4.2-19) stable; urgency=low

  * support "configtest" and "graceful" as initscripts "legacy actions"

 -- Joe Orton <jorton@redhat.com>  Mon, 02 Jul 2012 00:00:00 -0000

ea-apache24 (2.4.2-18) stable; urgency=low

  * avoid use of "core" GIF for a "core" directory (#168776)
  * drop use of "syslog.target" in systemd unit file

 -- Joe Orton <jorton@redhat.com>  Fri, 08 Jun 2012 00:00:00 -0000

ea-apache24 (2.4.2-17) stable; urgency=low

  * use _unitdir for systemd unit file
  * use /run in unit file, ssl.conf

 -- Joe Orton <jorton@redhat.com>  Thu, 07 Jun 2012 00:00:00 -0000

ea-apache24 (2.4.2-16) stable; urgency=low

  * mod_ssl: fix NPN patch merge

 -- Joe Orton <jorton@redhat.com>  Thu, 07 Jun 2012 00:00:00 -0000

ea-apache24 (2.4.2-15) stable; urgency=low

  * move tmpfiles.d fragment into /usr/lib per new guidelines
  * package /run/httpd not /var/run/httpd
  * set runtimedir to /run/httpd likewise

 -- Joe Orton <jorton@redhat.com>  Wed, 06 Jun 2012 00:00:00 -0000

ea-apache24 (2.4.2-14) stable; urgency=low

  * fix htdbm/htpasswd crash on crypt() failure (#818684)

 -- Joe Orton <jorton@redhat.com>  Wed, 06 Jun 2012 00:00:00 -0000

ea-apache24 (2.4.2-13) stable; urgency=low

  * pull fix for NPN patch from upstream (r1345599)

 -- Joe Orton <jorton@redhat.com>  Wed, 06 Jun 2012 00:00:00 -0000

ea-apache24 (2.4.2-12) stable; urgency=low

  * update suexec patch to use LOG_AUTHPRIV facility

 -- Joe Orton <jorton@redhat.com>  Thu, 31 May 2012 00:00:00 -0000

ea-apache24 (2.4.2-11) stable; urgency=low

  * really fix autoindex.conf (thanks to remi@)

 -- Joe Orton <jorton@redhat.com>  Thu, 24 May 2012 00:00:00 -0000

ea-apache24 (2.4.2-10) stable; urgency=low

  * fix autoindex.conf to allow symlink to poweredby.png

 -- Joe Orton <jorton@redhat.com>  Thu, 24 May 2012 00:00:00 -0000

ea-apache24 (2.4.2-9) stable; urgency=low

  * suexec: use upstream version of patch for capability bit support

 -- Joe Orton <jorton@redhat.com>  Wed, 23 May 2012 00:00:00 -0000

ea-apache24 (2.4.2-8) stable; urgency=low

  * suexec: use syslog rather than suexec.log, drop dac_override capability

 -- Joe Orton <jorton@redhat.com>  Wed, 23 May 2012 00:00:00 -0000

ea-apache24 (2.4.2-7) stable; urgency=low

  * mod_ssl: add TLS NPN support (r1332643, #809599)

 -- Joe Orton <jorton@redhat.com>  Tue, 01 May 2012 00:00:00 -0000

ea-apache24 (2.4.2-6) stable; urgency=low

  * add BR on APR >= 1.4.0

 -- Joe Orton <jorton@redhat.com>  Tue, 01 May 2012 00:00:00 -0000

ea-apache24 (2.4.2-5) stable; urgency=low

  * use systemctl from logrotate (#221073)

 -- Joe Orton <jorton@redhat.com>  Fri, 27 Apr 2012 00:00:00 -0000

ea-apache24 (2.4.2-4) stable; urgency=low

  * pull from upstream:
  * use TLS close_notify alert for dummy_connection (r1326980+)
  * cleanup symbol exports (r1327036+)

 -- Joe Orton <jorton@redhat.com>  Fri, 27 Apr 2012 00:00:00 -0000

ea-apache24 (2.4.2-3.2) stable; urgency=low

  * rebuild

 -- Joe Orton <jorton@redhat.com>  Fri, 27 Apr 2012 00:00:00 -0000

ea-apache24 (2.4.2-3) stable; urgency=low

  * really fix restart

 -- Joe Orton <jorton@redhat.com>  Fri, 20 Apr 2012 00:00:00 -0000

ea-apache24 (2.4.2-2) stable; urgency=low

  * tweak default ssl.conf
  * fix restart handling (#814645)
  * use graceful restart by default

 -- Joe Orton <jorton@redhat.com>  Fri, 20 Apr 2012 00:00:00 -0000

ea-apache24 (2.4.2-1) stable; urgency=low

  * update to 2.4.2

 -- Jan Kaluza <jkaluza@redhat.com>  Wed, 18 Apr 2012 00:00:00 -0000

ea-apache24 (2.4.1-6) stable; urgency=low

  * fix macros

 -- Joe Orton <jorton@redhat.com>  Fri, 23 Mar 2012 00:00:00 -0000

ea-apache24 (2.4.1-5) stable; urgency=low

  * add _httpd_moddir to macros

 -- Joe Orton <jorton@redhat.com>  Fri, 23 Mar 2012 00:00:00 -0000

ea-apache24 (2.4.1-4) stable; urgency=low

  * fix symlink for poweredby.png
  * fix manual.conf

 -- Joe Orton <jorton@redhat.com>  Tue, 13 Mar 2012 00:00:00 -0000

ea-apache24 (2.4.1-3) stable; urgency=low

  * add mod_proxy_html subpackage (w/mod_proxy_html + mod_xml2enc)
  * move mod_ldap, mod_authnz_ldap to mod_ldap subpackage

 -- Joe Orton <jorton@redhat.com>  Tue, 13 Mar 2012 00:00:00 -0000

ea-apache24 (2.4.1-2) stable; urgency=low

  * clean docroot better
  * ship proxy, ssl directories within /var/cache/httpd
  * default config:
  * unrestricted access to (only) /var/www
  * remove (commented) Mutex, MaxRanges, ScriptSock
  * split autoindex config to conf.d/autoindex.conf
  * ship additional example configs in docdir

 -- Joe Orton <jorton@redhat.com>  Tue, 13 Mar 2012 00:00:00 -0000

ea-apache24 (2.4.1-1) stable; urgency=low

  * update to 2.4.1
  * adopt upstream default httpd.conf (almost verbatim)
  * split all LoadModules to conf.modules.d/*.conf
  * include conf.d/*.conf at end of httpd.conf
  * trim %%changelog

 -- Joe Orton <jorton@redhat.com>  Tue, 06 Mar 2012 00:00:00 -0000

ea-apache24 (2.2.22-2) stable; urgency=low

  * fix build against PCRE 8.30

 -- Joe Orton <jorton@redhat.com>  Mon, 13 Feb 2012 00:00:00 -0000

ea-apache24 (2.2.22-1) stable; urgency=low

  * update to 2.2.22

 -- Joe Orton <jorton@redhat.com>  Mon, 13 Feb 2012 00:00:00 -0000

ea-apache24 (2.2.21-8) stable; urgency=low

  * Rebuild against PCRE 8.30

 -- Petr Pisar <ppisar@redhat.com>  Fri, 10 Feb 2012 00:00:00 -0000

ea-apache24 (2.2.21-7) stable; urgency=low

  * fix #783629 - start httpd after named

 -- Jan Kaluza <jkaluza@redhat.com>  Mon, 23 Jan 2012 00:00:00 -0000

ea-apache24 (2.2.21-6) stable; urgency=low

  * complete conversion to systemd, drop init script (#770311)
  * fix comments in /etc/sysconfig/httpd (#771024)
  * enable PrivateTmp in service file (#781440)
  * set LANG=C in /etc/sysconfig/httpd

 -- Joe Orton <jorton@redhat.com>  Mon, 16 Jan 2012 00:00:00 -0000

ea-apache24 (2.2.21-5) stable; urgency=low

  * Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

 -- Fedora Release Engineering <rel-eng@lists.fedoraproject.org>  Fri, 13 Jan 2012 00:00:00 -0000

ea-apache24 (2.2.21-4) stable; urgency=low

  * fix #751591 - start httpd after remote-fs

 -- Jan Kaluza <jkaluza@redhat.com>  Tue, 06 Dec 2011 00:00:00 -0000

ea-apache24 (2.2.21-3) stable; urgency=low

  * allow change state of BalancerMember in mod_proxy_balancer web interface

 -- Jan Kaluza <jkaluza@redhat.com>  Mon, 24 Oct 2011 00:00:00 -0000

ea-apache24 (2.2.21-2) stable; urgency=low

  * Make mmn available as %%{_httpd_mmn}.
  * Add .svgz to AddEncoding x-gzip example in httpd.conf.

 -- Ville Skyttä <ville.skytta@iki.fi>  Thu, 22 Sep 2011 00:00:00 -0000

ea-apache24 (2.2.21-1) stable; urgency=low

  * update to 2.2.21

 -- Joe Orton <jorton@redhat.com>  Tue, 13 Sep 2011 00:00:00 -0000

ea-apache24 (2.2.20-1) stable; urgency=low

  * update to 2.2.20
  * fix MPM stub man page generation

 -- Joe Orton <jorton@redhat.com>  Mon, 05 Sep 2011 00:00:00 -0000

ea-apache24 (2.2.19-5) stable; urgency=low

  * fix #707917 - add httpd-ssl-pass-dialog to ask for SSL password using systemd

 -- Jan Kaluza <jkaluza@redhat.com>  Wed, 10 Aug 2011 00:00:00 -0000

ea-apache24 (1:2.2.19-4) stable; urgency=low

  * rebuild while rpm-4.9.1 is untagged to remove trailing slash in provided
  directory names

 -- Iain Arnell <iarnell@gmail.com>  Fri, 22 Jul 2011 00:00:00 -0000

ea-apache24 (2.2.19-3) stable; urgency=low

  * fix #716621 - suexec now works without setuid bit

 -- Jan Kaluza <jkaluza@redhat.com>  Wed, 20 Jul 2011 00:00:00 -0000

ea-apache24 (2.2.19-2) stable; urgency=low

  * fix #689091 - backported patch from 2.3 branch to support IPv6 in logresolve

 -- Jan Kaluza <jkaluza@redhat.com>  Thu, 14 Jul 2011 00:00:00 -0000

ea-apache24 (2.2.19-1) stable; urgency=low

  * update to 2.2.19
  * enable dbd, authn_dbd in default config

 -- Joe Orton <jorton@redhat.com>  Fri, 01 Jul 2011 00:00:00 -0000

ea-apache24 (2.2.17-13) stable; urgency=low

  * fix path expansion in service files

 -- Joe Orton <jorton@redhat.com>  Thu, 14 Apr 2011 00:00:00 -0000

ea-apache24 (2.2.17-12) stable; urgency=low

  * add systemd service files (#684175, thanks to Jóhann B. Guðmundsson)

 -- Joe Orton <jorton@redhat.com>  Tue, 12 Apr 2011 00:00:00 -0000

ea-apache24 (2.2.17-11) stable; urgency=low

  * minor updates to httpd.conf
  * drop old patches

 -- Joe Orton <jorton@redhat.com>  Wed, 23 Mar 2011 00:00:00 -0000

ea-apache24 (2.2.17-10) stable; urgency=low

  * rebuild

 -- Joe Orton <jorton@redhat.com>  Wed, 02 Mar 2011 00:00:00 -0000

ea-apache24 (2.2.17-9) stable; urgency=low

  * use arch-specific mmn

 -- Joe Orton <jorton@redhat.com>  Wed, 23 Feb 2011 00:00:00 -0000

ea-apache24 (2.2.17-8) stable; urgency=low

  * Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

 -- Fedora Release Engineering <rel-eng@lists.fedoraproject.org>  Wed, 09 Feb 2011 00:00:00 -0000

ea-apache24 (2.2.17-7) stable; urgency=low

  * generate dummy mod_ssl cert with CA:FALSE constraint (#667841)
  * add man page stubs for httpd.event, httpd.worker
  * drop distcache support
  * add STOP_TIMEOUT support to init script

 -- Joe Orton <jorton@redhat.com>  Mon, 31 Jan 2011 00:00:00 -0000

ea-apache24 (2.2.17-6) stable; urgency=low

  * update default SSLCipherSuite per upstream trunk

 -- Joe Orton <jorton@redhat.com>  Sat, 08 Jan 2011 00:00:00 -0000

ea-apache24 (2.2.17-5) stable; urgency=low

  * fix requires (#667397)

 -- Joe Orton <jorton@redhat.com>  Wed, 05 Jan 2011 00:00:00 -0000

ea-apache24 (2.2.17-4) stable; urgency=low

  * de-ghost /var/run/httpd

 -- Joe Orton <jorton@redhat.com>  Wed, 05 Jan 2011 00:00:00 -0000

ea-apache24 (2.2.17-3) stable; urgency=low

  * add tmpfiles.d configuration, ghost /var/run/httpd (#656600)

 -- Joe Orton <jorton@redhat.com>  Tue, 04 Jan 2011 00:00:00 -0000

ea-apache24 (2.2.17-2) stable; urgency=low

  * drop setuid bit, use capabilities for suexec binary

 -- Joe Orton <jorton@redhat.com>  Sat, 20 Nov 2010 00:00:00 -0000

ea-apache24 (2.2.17-1) stable; urgency=low

  * update to 2.2.17

 -- Joe Orton <jorton@redhat.com>  Wed, 27 Oct 2010 00:00:00 -0000

ea-apache24 (2.2.16-2) stable; urgency=low

  * link everything using -z relro and -z now

 -- Joe Orton <jorton@redhat.com>  Fri, 10 Sep 2010 00:00:00 -0000

ea-apache24 (2.2.16-1) stable; urgency=low

  * update to 2.2.16

 -- Joe Orton <jorton@redhat.com>  Mon, 26 Jul 2010 00:00:00 -0000

ea-apache24 (2.2.15-3) stable; urgency=low

  * default config tweaks:
  * harden httpd.conf w.r.t. .htaccess restriction (#591293)
  * load mod_substitute, mod_version by default
  * drop proxy_ajp.conf, load mod_proxy_ajp in httpd.conf
  * add commented list of shipped-but-unloaded modules
  * bump up worker defaults a little
  * drop KeepAliveTimeout to 5 secs per upstream
  * fix LSB compliance in init script (#522074)
  * bundle NOTICE in -tools
  * use init script in logrotate postrotate to pick up PIDFILE
  * drop some old Obsoletes/Conflicts

 -- Joe Orton <jorton@redhat.com>  Fri, 09 Jul 2010 00:00:00 -0000

ea-apache24 (2.2.15-1) stable; urgency=low

  * update to 2.2.15 (#572404, #579311)

 -- Robert Scheck <robert@fedoraproject.org>  Sun, 04 Apr 2010 00:00:00 -0000

